ru.bitel.bgbilling.modules.voice.accounting.bean

## Class SessionAccountAmount

- java.lang.Object
- - ru.bitel.bgbilling.modules.voice.accounting.bean.SessionAccountAmount

-     public class SessionAccountAmount
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionAccountAmount()`
    `SessionAccountAmount(java.math.BigDecimal account, long amount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAccount(java.math.BigDecimal deltaAccount, java.math.MathContext mathContext)`
    `void` | `addAmount(long deltaAmount)`
    `java.math.BigDecimal` | `getAccount()`
    `long` | `getAmount()`
    `long` | `getAmountRound()`
    `void` | `setAccount(java.math.BigDecimal account)`
    `void` | `setAmount(long amount)`
    `void` | `setAmountRound(long amountRoound)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionAccountAmount

          public SessionAccountAmount()

    - #### SessionAccountAmount

          public SessionAccountAmount(java.math.BigDecimal account,
                                      long amount)

  - ### Method Detail

    - #### getAccount

          public java.math.BigDecimal getAccount()

    - #### setAccount

          public void setAccount(java.math.BigDecimal account)

    - #### getAmount

          public long getAmount()

    - #### setAmount

          public void setAmount(long amount)

    - #### addAmount

          public void addAmount(long deltaAmount)

    - #### addAccount

          public void addAccount(java.math.BigDecimal deltaAccount,
                                 java.math.MathContext mathContext)

    - #### getAmountRound

          public long getAmountRound()

    - #### setAmountRound

          public void setAmountRound(long amountRoound)